import App from './App'
import store from './store';

import uView from 'uview-ui';
Vue.use(uView);


import uniGo from '@/utils/unIGO.js';
Vue.prototype.$uniGo = uniGo;

import utilsMethods from '@/utils/utils.js';
Vue.prototype.$utilsMethods = utilsMethods;
// 底部导航
import comTabbar from '@/components/tabbar/tabbar';
Vue.component('com-tabbar', comTabbar)

// 上传
import comUpload from '@/components/upload/aIndex.vue';
Vue.component('com-upload', comUpload)

// 头部导航
import comNavBar from '@/components/navBar/aIndex';
Vue.component('com-navbar', comNavBar)

uni.$u.setConfig({
	config: {
		unit: 'rpx'
	},
	props: {
		radio: {
			size: 15
		}
	}
})

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App,
	store
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app,
		store
	}
}
// #endif
